# macop.solutions.CombinatoryIntegerSolution

Combinatory integer solution class implementation

Classes

`CombinatoryIntegerSolution`(_data, _size) | Combinatory integer solution class

class `macop.solutions.CombinatoryIntegerSolution.``CombinatoryIntegerSolution`(_data, _size)

  Combinatory integer solution class

  `data`

    {ndarray} – array of binary values

  `size`

    {int} – size of binary array values

  `score`

    {float} – fitness score value

  `random`(_validator)

    Intialize combinatory integer array with use of validator to generate valid random solution

    Parameters

      _validator – {function} – specific function which validates or not a solution

    Returns

      {CombinatoryIntegerSolution} – new generated combinatory integer solution